import { createHtmlRenderState } from './utils/create-render-state.js';
import { scrapeMotionValuesFromProps } from './utils/scrape-motion-values.js';
import { htmlVisualElement } from './visual-element.js';
import { makeUseVisualState } from '../../motion/utils/use-visual-state.js';

function createHTMLVisualElement(isStatic, options) {
    if (isStatic === void 0) { isStatic = false; }
    return htmlVisualElement(options, { enableHardwareAcceleration: !isStatic });
}
var htmlMotionConfig = {
    createVisualElement: createHTMLVisualElement,
    useVisualState: makeUseVisualState({
        scrapeMotionValuesFromProps: scrapeMotionValuesFromProps,
        createRenderState: createHtmlRenderState,
    }),
};

export { createHTMLVisualElement, htmlMotionConfig };
